CUTLASS: cutlass::gemm::GemmShape< M, N, K > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes | List of all members
cutlass::gemm::GemmShape< M, N, K > Struct Template Reference

Shape of a matrix multiply-add operation.

`#include <gemm.h>`

## Static Public Member Functions
static CUTLASS_HOST_DEVICE Coord< 3 > | toCoord ()
| Returns a Coord object. More...

## Static Public Attributes
static int const | kM = M
static int const | kN = N
static int const | kK = K
static int const | kMN = M * N
static int const | kMK = M * K
static int const | kKN = N * K
static int const | kMNK = M * N * K
static int const | kCount = kMNK

## Member Function Documentation

template<int M = 1, int N = 1, int K = 1>

static CUTLASS_HOST_DEVICE Coord<3> cutlass::gemm::GemmShape< M, N, K >::toCoord | ( |  | ) |
| inlinestatic

## Member Data Documentation

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kCount = kMNK
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kK = K
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kKN = N * K
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kM = M
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kMK = M * K
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kMN = M * N
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kMNK = M * N * K
| static

template<int M = 1, int N = 1, int K = 1>

int const cutlass::gemm::GemmShape< M, N, K >::kN = N
| static

The documentation for this struct was generated from the following file:

- include/cutlass/gemm/gemm.h